package de.intevation.flys.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.OneToOne;
import javax.persistence.GenerationType;


@Entity
@Table(name = "sq_relation_value")
public class SQRelationValue implements Serializable {

    private Integer id;

    private SQRelation sqRelation;

    private String parameter;
    private String fraction;
    private String function;

    private double km;
    private double a;
    private double b;


    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_SQ_VALUE_ID_SEQ",
        sequenceName   = "SQ_RELATION_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_SQ_VALUE_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    @OneToOne
    @Column(name = "sq_relation_id")
    public SQRelation getSQRelation() {
        return sqRelation;
    }

    public void setSQRelation(SQRelation sqRelation) {
        this.sqRelation = sqRelation;
    }


    @Column(name = "parameter")
    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }


    @Column(name = "fraction")
    public String getFraction() {
        return fraction;
    }

    public void setFraction(String fraction) {
        this.fraction = fraction;
    }


    @Column(name = "function")
    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }


    @Column(name = "km")
    public double getKm() {
        return km;
    }

    public void setKm(double km) {
        this.km = km;
    }


    @Column(name = "a")
    public double getA() {
        return a;
    }

    public void setA(double a) {
        this.a = a;
    }


    @Column(name = "b")
    public double getB() {
        return b;
    }

    public void setB(double b) {
        this.b = b;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
